Package ghidra.app.merge

# Class DataTypeArchiveMergeManager

java.lang.Object
ghidra.app.merge.MergeManager
ghidra.app.merge.DataTypeArchiveMergeManager

All Implemented Interfaces:
  `MergeProgressModifier`, `DomainObjectMergeManager`

public class DataTypeArchiveMergeManager extends MergeManager
Top level object that manages each step of the merge/resolve conflicts process.

- ## Field Summary

  ### Fields inherited from class ghidra.app.merge.MergeManager

  `currentIndex, inputReceived, latestChangeSet, latestDomainObject, mergeCompleted, mergeMonitor, mergePlugin, mergeProgressPanel, mergeResolvers, mergeStatus, mergeTool, mergeToolIsVisible, myChangeSet, myDomainObject, originalDomainObject, prompting, resolveMap, resultDomainObject, runManager`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataTypeArchiveMergeManager(DataTypeManagerDomainObject resultDtArchive, DataTypeManagerDomainObject myDtArchive, DataTypeManagerDomainObject originalDtArchive, DataTypeManagerDomainObject latestDtArchive, DataTypeArchiveChangeSet latestChangeSet, DataTypeArchiveChangeSet myChangeSet)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `cleanupMerge()`
  `protected MergeManagerPlugin`
  `createMergeManagerPlugin(ModalPluginTool mergePluginTool, MergeManager multiUserMergeManager, UndoableDomainObject modifiableDomainObject)`
  `protected void`
  `createMergeResolvers()`
  `DataTypeArchive`
  `getDataTypeArchive(int version)`
  Returns one of the four programs involved in the merge as indicated by the version.
  `protected void`
  `initializeMerge()`

  ### Methods inherited from class ghidra.app.merge.MergeManager

  `clearStatusText, displayErrorAndWait, getDomainObject, getMergeProgressPanel, getMergeResolverByName, getMergeTool, getMonitorComponent, getPreferredMergeToolSize, getResolveInformation, isMergeToolVisible, isPromptingUser, merge, merge, processingCompleted, removeComponent, setApplyEnabled, setCompleted, setInProgress, setResolveInformation, setStatusText, showComponent, showDefaultMergePanel, showMergeTool, showMonitorComponent, showProgressIcon, updateProgress, updateProgress, updateProgress, waitForInput`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DataTypeArchiveMergeManager

    public DataTypeArchiveMergeManager(DataTypeManagerDomainObject resultDtArchive, DataTypeManagerDomainObject myDtArchive, DataTypeManagerDomainObject originalDtArchive, DataTypeManagerDomainObject latestDtArchive, DataTypeArchiveChangeSet latestChangeSet, DataTypeArchiveChangeSet myChangeSet)

- ## Method Details

  - ### createMergeResolvers

    protected void createMergeResolvers()
    Specified by:
      `createMergeResolvers` in class `MergeManager`

  - ### getDataTypeArchive

    public DataTypeArchive getDataTypeArchive(int version)
    Returns one of the four programs involved in the merge as indicated by the version.
    Parameters:
      `version` - the program version to return. (LATEST, MY, ORIGINAL, or RESULT).
    Returns:
      the indicated program version or null if a valid version isn't specified.
    See Also:
      - `MergeConstants`

  - ### createMergeManagerPlugin

    protected MergeManagerPlugin createMergeManagerPlugin(ModalPluginTool mergePluginTool, MergeManager multiUserMergeManager, UndoableDomainObject modifiableDomainObject)
    Specified by:
      `createMergeManagerPlugin` in class `MergeManager`

  - ### initializeMerge

    protected void initializeMerge()
    Specified by:
      `initializeMerge` in class `MergeManager`

  - ### cleanupMerge

    protected void cleanupMerge()
    Specified by:
      `cleanupMerge` in class `MergeManager`